summaryrefslogtreecommitdiffstats
path: root/dilos/core/tdebase/debian/svc
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 19:23:30 +0800
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 19:23:30 +0800
commit0277521b268b21caf0ee21202b92784f302baadc (patch)
tree5d856f96adfbe46b57da31cf60daa1084b4e7a1e /dilos/core/tdebase/debian/svc
parenteb16e7c7281e182297581fa8d565561869c81bca (diff)
downloadtde-packaging-0277521b268b21caf0ee21202b92784f302baadc.tar.gz
tde-packaging-0277521b268b21caf0ee21202b92784f302baadc.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'dilos/core/tdebase/debian/svc')
-rwxr-xr-xdilos/core/tdebase/debian/svc/tdm81
-rw-r--r--dilos/core/tdebase/debian/svc/tdm.xml100
2 files changed, 181 insertions, 0 deletions
diff --git a/dilos/core/tdebase/debian/svc/tdm b/dilos/core/tdebase/debian/svc/tdm
new file mode 100755
index 000000000..b50e2c135
--- /dev/null
+++ b/dilos/core/tdebase/debian/svc/tdm
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright (c) 2012-2020, DilOS.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+#
+# smf_method(5) start/stop script
+
+. /lib/svc/share/smf_include.sh
+
+# Read command line arguments
+method="$1" # %m
+instance="$2" # %i
+
+if [ -z ${SMF_FMRI} ]
+then
+ SMF_FMRI="svc:/system/tdm:${instance}"
+fi
+
+DAEMON=/usr/bin/tdm
+PIDFILE=/var/run/tdm.pid
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/tdm ] && . /etc/default/tdm
+
+tdm_start()
+{
+
+# LD_PRELOAD=libGL.so.1
+ ${DAEMON} -daemon $TDM_OPTIONS
+}
+
+
+tdm_stop()
+{
+
+ if [ -f ${PIDFILE} ]; then
+ kill -TERM $(cat ${PIDFILE})
+ else
+ pkill -TERM -f ${DAEMON}
+ fi
+ rm -f ${PIDFILE}
+}
+
+case "$method" in
+start)
+ tdm_start
+ ;;
+
+stop)
+ tdm_stop
+ ;;
+
+reload|refresh)
+ pkill -HUP -f ${DAEMON}
+ ;;
+
+*)
+ echo "Usage: $0 [start|stop|refresh]"
+ exit 1
+ ;;
+esac
diff --git a/dilos/core/tdebase/debian/svc/tdm.xml b/dilos/core/tdebase/debian/svc/tdm.xml
new file mode 100644
index 000000000..86a1d3820
--- /dev/null
+++ b/dilos/core/tdebase/debian/svc/tdm.xml
@@ -0,0 +1,100 @@
+<?xml version="1.0"?>
+<!DOCTYPE service_bundle SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">
+<!--
+Copyright (c) 2012-2020, DilOS.
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of
+this software and associated documentation files (the "Software"), to deal in
+the Software without restriction, including without limitation the rights to
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
+of the Software, and to permit persons to whom the Software is furnished to do
+so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+-->
+
+<service_bundle type='manifest' name='tdm-trinity'>
+
+<service
+ name='system/tdm'
+ type='service'
+ version='1'>
+ <single_instance />
+
+ <dependency
+ name='milestone'
+ grouping='require_all'
+ restart_on='none'
+ type='service'>
+ <service_fmri value='svc:/milestone/sysconfig' />
+ </dependency>
+
+ <dependency
+ name='filesystem'
+ grouping='require_all'
+ restart_on='none'
+ type='service'>
+ <service_fmri value='svc:/system/filesystem/local' />
+ </dependency>
+
+ <dependency
+ name='name-services'
+ grouping='require_all'
+ restart_on='none'
+ type='service'>
+ <service_fmri value='svc:/milestone/name-services' />
+ </dependency>
+
+ <exec_method
+ type='method'
+ name='start'
+ exec='/var/svc/method/tdm %m %i'
+ timeout_seconds='60'>
+ </exec_method>
+
+ <exec_method
+ type='method'
+ name='stop'
+ exec='/var/svc/method/tdm %m %i'
+ timeout_seconds='60'>
+ </exec_method>
+
+ <exec_method
+ type='method'
+ name='refresh'
+ exec='/var/svc/method/tdm %m %i'
+ timeout_seconds='60'>
+ </exec_method>
+
+ <property_group name='startd' type='framework'>
+ <!-- sub-process core dumps shouldn't restart session -->
+ <propval name='ignore_error' type='astring'
+ value='core,signal' />
+ </property_group>
+
+ <instance name="default" enabled="false">
+ </instance>
+ <stability value='Unstable' />
+
+ <template>
+ <common_name>
+ <loctext xml:lang='C'>
+ Trinity Display Manager
+ </loctext>
+ </common_name>
+ <documentation>
+ <manpage title='tdm' section='1' />
+ <manpage title='tdm_config' section='1' />
+ </documentation>
+ </template>
+</service>
+
+</service_bundle>